/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.organizations.item.selector.web.internal.search;

import com.liferay.portal.kernel.dao.search.EmptyOnClickRowChecker;
import com.liferay.portal.kernel.model.Organization;
import com.liferay.portal.kernel.util.ArrayUtil;

import javax.portlet.RenderResponse;

/**
 * @author Alessio Antonio Rendina
 */
public class OrganizationItemSelectorChecker extends EmptyOnClickRowChecker {

	public OrganizationItemSelectorChecker(
		RenderResponse renderResponse, long[] checkedOrganizationIds) {

		super(renderResponse);

		_checkedOrganizationIds = checkedOrganizationIds;
	}

	@Override
	public boolean isChecked(Object object) {
		Organization organization = (Organization)object;

		return ArrayUtil.contains(
			_checkedOrganizationIds, organization.getOrganizationId());
	}

	@Override
	public boolean isDisabled(Object object) {
		return isChecked(object);
	}

	private final long[] _checkedOrganizationIds;

}